Loading...
Searching...
No Matches
casacore::MSStateParse Class Reference
ms package (libcasa_ms) » MSSel_module » MSSel_module_internal_classes

More...

`#include <MSStateParse.h>`

## Public Member Functions

| MSStateParse ()
| Default constructor.
| MSStateParse (const MeasurementSet *ms)
| Associate the ms and the shorthand.
const TableExprNode * | selectStateIds (const Vector< Int > &stateIDs)
Public Member Functions inherited from casacore::MSParse
| MSParse ()
| Default constructor for List container class.
| MSParse (const MSParse &)
| Copy constructor (copy semantics).
| ~MSParse ()
MSParse & | operator= (const MSParse &)
| Assignment (copy semantics).
| MSParse (const MeasurementSet *ms, const String &shorthand)
| Associate the ms and the shorthand.
| MSParse (const MSSelectableTable *ms, const String &shorthand)
| Associate the ms and the shorthand.
Bool | test (const String &shortHand) const
| Test if shorthand matches.
String & | shorthand ()
| Get the shorthand.
MeasurementSet * | ms ()
| Get ms object.
MSSelectableTable * | msInterface ()
| Get ms object.
void | setMS (MeasurementSet *ms)
void | setMSInterface (MSSelectableTable *msI)
void | addCondition (TableExprNode &target, TableExprNode &source)

## Static Public Member Functions

static const TableExprNode * | node ()
| Get table expression node object.
static Vector< Int > | selectedIDs ()
| static MSSelectionErrorHandler* thisMSSErrorHandler;
static void | reset ()
static void | cleanupNode ()
static void | cleanupErrorHandler ()
static void | cleanup ()

## Static Public Attributes

static MSStateParse * | thisMSSIParser
static std::shared_ptr< MSSelectionErrorHandler > | thisMSSErrorHandler
Static Public Attributes inherited from casacore::MSParse
static MeasurementSet * | ms_p
static MSSelectableTable * | msInterface_p

## Private Attributes

const String | colName

## Static Private Attributes

static TableExprNode * | node_p
static Vector< Int > | idList

## Detailed Description

Class to hold values from field grammar parser

### Intended use:

Internal

### Etymology

MSStateParse is the class used to parse a field command.

### Synopsis

MSStateParse is used by the parser of field sub-expression statements. The parser is written in Bison and Flex in files MSStateGram.y and.l. The statements in there use the routines in this file to act upon a reduced rule. Since multiple tables can be given (with a shorthand), the table names are stored in a list. The variable names can be qualified by the table name and will be looked up in the appropriate table.

The class MSStateParse only contains information about a table used in the table command. Global variables (like a list and a vector) are used in MSStateParse.cc to hold further information.

Global functions are used to operate on the information. The main function is the global function msStateCommand. It executes the given STaQL command and returns the resulting ms. This is, in fact, the only function to be used by a user.

### Motivation

It is necessary to be able to give a ms command in ASCII. This can be used in a CLI or in the table browser to get a subset of a table or to sort a table.

Definition at line 85 of file MSStateParse.h.

## Constructor & Destructor Documentation

## MSStateParse() [1/2]

casacore::MSStateParse::MSStateParse | ( |  | ) |

Default constructor.

## MSStateParse() [2/2]

casacore::MSStateParse::MSStateParse | ( | const MeasurementSet * | ms | ) |

Associate the ms and the shorthand.

References casacore::MSParse::ms().

## Member Function Documentation

## cleanup()

void casacore::MSStateParse::cleanup | ( |  | ) |

inline static

Definition at line 105 of file MSStateParse.h.

References cleanupErrorHandler(), and cleanupNode().

## cleanupErrorHandler()

void casacore::MSStateParse::cleanupErrorHandler | ( |  | ) |

inline static

Definition at line 104 of file MSStateParse.h.

References thisMSSErrorHandler.

Referenced by cleanup().

## cleanupNode()

void casacore::MSStateParse::cleanupNode | ( |  | ) |

inline static

Definition at line 103 of file MSStateParse.h.

References node_p.

Referenced by cleanup().

## node()

const TableExprNode * casacore::MSStateParse::node | ( |  | ) |

static

Get table expression node object.

## reset()

void casacore::MSStateParse::reset | ( |  | ) |

inline static

Definition at line 102 of file MSStateParse.h.

References idList.

## selectedIDs()

Vector< Int > casacore::MSStateParse::selectedIDs | ( |  | ) |

inline static

static MSSelectionErrorHandler* thisMSSErrorHandler;

Definition at line 101 of file MSStateParse.h.

References idList.

## selectStateIds()

const TableExprNode * casacore::MSStateParse::selectStateIds | ( | const Vector< Int > & | stateIDs | ) |

## Member Data Documentation

## colName

const String casacore::MSStateParse::colName

private

Definition at line 108 of file MSStateParse.h.

## idList

Vector<Int> casacore::MSStateParse::idList

static private

Definition at line 109 of file MSStateParse.h.

Referenced by reset(), and selectedIDs().

## node_p

TableExprNode* casacore::MSStateParse::node_p

static private

Definition at line 107 of file MSStateParse.h.

Referenced by cleanupNode().

## thisMSSErrorHandler

std::shared_ptr<MSSelectionErrorHandler> casacore::MSStateParse::thisMSSErrorHandler

static

Definition at line 99 of file MSStateParse.h.

Referenced by cleanupErrorHandler().

## thisMSSIParser

MSStateParse* casacore::MSStateParse::thisMSSIParser

static

Definition at line 98 of file MSStateParse.h.

The documentation for this class was generated from the following file:

- ms/MSSel/MSStateParse.h